UEditor Change List

Version 1.2.5
新增功能
  . table整体重构
  . table支持插入表头和标题
  . table支持拷贝
  . table支持任意调整宽高
  . table支持任意前插后插行列
  . table键盘操作仿word用户体验
  . 添加table平均分布行、列
  . 添加table单元格对齐方式
  . 添加table对齐方式
  . 添加选中部分表格,点击backspace或delete删除功能
  . 重写表格属性、单元格属性dialog
  . 粘贴支持纯文本,源码,纯标签3个模式选择
  . 添加计算字数的getContentLength接口
  . 添加计算字数事件wordcount
  . 图片上传支持参数动态绑定
  . 重写了list功能，支持一,一),(一),1),(1),——等新的列表标签
  . 调整了list中tab键的逻辑
  . 添加了可以限制列表的层级
  . 全屏快捷键 ALT+Z
  . 添加了uparse.js展示页加载器

优化修复
  . 优化了插入代码功能
  . ie下默认禁用源码模式下的代码高亮
  . 截图功能支持非ie浏览器
  . 修正了非ie下中文输入时回退不准确的问题
  . 改进了键盘输入时做回退的操作

Version 1.2.4
新增功能
   . 官网新增API文档
   . CSS按照UI结构进行了模块化拆分
   . 新增皮肤切换功能，并提供一套新皮肤（可通过配置项theme来设置）
   . 新增编辑器容器拖动缩放功能,配置项为:scaleEnabled、minFrameWidth、minFrameHeight
   . 新增音乐插件
   . 增加了源码模式下,全屏按钮可以使用
   . 添加了UE.getEditor工厂方法
   . 添加了针对jquery配合使用的demo
   . 添加了针对jqueryValidation配合使用的demo
   . 添加了初始化编辑器宽高配置，配置为项:initialFrameWidth、initialFrameHeight

优化修复
   . 修复涂鸦路径在配置时，添加参数时请求报错
   . 修复涂鸦opera下缩放不能使用
   . 修复编辑器全屏功能失效问题
   . codemirror版本升级到最新版
   . 对opera/safari的支持进行了进一步的优化
   . 优化了部分demo页的代码
   . 修改原来的minFrameHeight为拖动时的最小高度

Version 1.2.3
新增功能
   . 新增国际化支持
   . 新增涂鸦功能
   . 新增大小写功能
   . 新增getAllHtml方法，可以将整个页面的内容打出来,可以在editor_config.js里通过配置allHtmlEnabled,来配置在提交时是否使用getAllHtml来得到内容
   . 新增插入模板的功能
   . 新增背景功能
   . 新增UE.instants全局对象，下边挂接了所有实例化的编辑器对象
   . Editor下新增ready方法，当编辑器ready后执行传入的fn,如果编辑器已经ready好了，就马上执行fn
   . 新增topOffset配置参数，用于设置AutoFloat时工具栏距离顶部的高度
   . 新增sourceEditorFirst配置参数，用于控制编辑器初始化时是否显示成源码模式，默认为否
   . 新增在表格内实例化编辑器的demo
   . 新增getDialog(dialogName)接口，可以获取dialog对象。

优化修复
   . chrome下会出现alt+tab切换时，导致选区位置不对
   . focus方法添加参数可以指向到内容末尾
   . 完全支持opera浏览器
   . 修复了表格中实例化编辑器时工具栏浮动错位问题
   . 优化了后台处理文件代码,文件夹按照日期自动生成


Version 1.2.2
1.编辑器不可编辑时，可以配置哪些功能可以使用，例如全屏
2.table的边框为0时，采用虚线显示
3.修复firefox下插入大量代码时，代码格式显示不正确的问题
4.附件上传成功后显示初始文件名
5.自定制下载优化
6.当图片上传超时时，增加提示信息
7.修复自动排版对H1不生效的问题
8.修复插入超链接，超链接地址包含script标签，预览时会执行script语句的问题


Version 1.2.1
1.插入表情时，按住CTRL键可连续插入多个表情
2.按住CTRL+Enter提交表单
3.增加readonly属性在editor_config.js，编辑器实例上增加setEnabled,setDisabled方法，设置编辑区域是否可以编辑
4.Editor上添加了getPlainTxt方法，得到编辑器的纯文本内容，但会保留段落格式
5.修正了initialContent赋值失效的问题，赋值顺序以标签内容为先，如果没有再看initialContent内容。
6.为insertHtml命令添加了过滤机制
7.getContent将“&nbsp;”转成空格，连续2个空格则以“ &nbsp;”表示
8.当选区在一个超链接中，就可以在弹出层中直接修改这个超链接中的文本
9.与后台交互的路径整体进行了调整
10.超链接窗口可以修改超链接显示的文字
11.增加插入百度应用的功能
12.为每个plugin的在代码中添加了配置项的容错代码，若配置项不存在，不会报错
13.提供后台的jsp版本
14.重写了ui和和编辑器的交互层，dialog改为显示时创建，整体代码减少22k
15.修正了代码高亮跟jquery冲突的问题
16.改进了多个编辑器实例，使用一个name做为form提交，后台都可以取到
17.添加是否删除空的inlineElement节点（包括嵌套的情况）的配置项：autoClearEmptyNode
18.修正了chrome下粘贴文本带有white-space样式， 导致编辑器内容不能折行的问题
19.在配置项中增加isShow设置初始化时是否显示编辑器，在编辑器实例上增加setShow,setHide方法设置编辑器的显示/隐藏
20.修正在jquery中实例化编辑器时与UE自带的domready冲突的问题
21.修正代码高亮中的行号与代码内容不能对齐的问题
22.新增了图片上传对话框中可自定义配置默认Tab的功能
23.修正.net源码包中gbk版本的乱码以及demo中使用了php路径的问题

Version 1.2.0
1.远程图片抓取
3.源码模式下css进行了简写
4.增加了baidu图片搜索功能，搜索图片然后直接插入到编辑器中
5.重写了浮动工具栏，支持混乱模式下的工具栏滚动
6.服务器图片在线管理
7.word的本地图片取得寛高
8.附件上传
9.自动排版
10.优化了状态反射的方式，改为编辑器获得焦点才会触发，失去焦点不在触发状态查询
11.添加了上来就可以全屏的配置项哦去焦点之前的选区
13.优化了查询状态反射的性能
14.添加了contentchagne事件
15.重写了autoheight插件，去掉setInterval的方式，并且长高时不在跳动
16.插入视频，可以预览，并且界面加入了视屏搜索功能，并且可以插入视屏预览图到编辑器中
17.单元格属性编辑
18.ie下的截屏功能
19.加强了table的dialog功能
20.改进了autolink的效果，例如: dddhttp://www.baidu.com 回车,http://www.baidu.com也可以被匹配到了
21.文件上传提供flash源码
22.修改了行间距的展示方式
23.段间距变为段前距和段后距
24.提供了.net的事例代码
25.首页提供了功能选择生成下载的新功能
26.首页文档进行了改进
27.分页符可以删除
28.增强了表格的编辑功能

Version 1.1.8
1.避免了重复加载源码高亮的核心代码
2.修复了word粘贴table过滤出错问题
3.修复插入地图会出现style="undefined"的问题
4.优化了list，多个相邻的属性一直的list会合并
5.可以在列表中的一行里产生多行的效果（通过回车再回退操作），类似office的效果
6.添加自定义样式功能
7.修了在chrome下右键删除td里的图片会把整个td删除的问题
8.改进了不同的页面调用一个editor，URL问题
9.增加了颜色选择器的颜色
10.改进了提供的后台程序的安全性
11.代码高亮支持折行
12.改进了源码编辑模式下的性能(ie下),并且支持自动换行
13.修改了在destroy之后会在ie下报错的问题
14.给初始化容器name值，那么在后台取值的键值就是name给定的值，方便多实例在一个form下提交
15.支持插入script/style这样的标签
16.修复了列表里插入浮动图片，图片不占位问题
17.源码模式下,去掉了pre中的&nbsp;
18.完善了_example下的demo例子
19.base64的图片被过滤掉了

Version 1.1.7.3
1.支持图片相对路径模式
2.word粘贴首行缩进问题
3.添加了图片边距
4.提供了图片等比压缩时基准边选择配置的功能
5.dialog在某些页面不显示问题
6.添加了行内间距的调整
7.在editor实例下添加了destroy方法
8.全屏按钮位置不对的问题
9.iframe.css支持相对和绝对路径
10.修正了focus方法在ff下失效的问题
11.提供了对FF3.6的支持
12.添加了Shift+Enter软回车功能
10.统一了颜色rgb转成#


version 1.1.7.2
1.去掉了iframe.css 改为在editor_config.js中配置，避免css文件找不到的问题
2.给下拉菜单添加了默认的文字说明
3.Ueditor.css去掉了对外部页面css的影响
4.修正了ie9下，编辑器的高度不随着内容缩短的问题
5.修正了粘贴有时会出现粘贴失败的情况
6.修正了在ie下点击图片会出现js错误的问题
7.修正了在ie下选全部替换，回退，再替换会出现替换失败的问题
8.增加表情本地化模式，可在config中配置是否开启本地化
9.flash的多图片上传
10.支持了源码模式的下的代码高亮
11.增加插入代码支持的语言，改进了插入代码的展示效果
12.增加了字数统计
13.增加了对图片的排版操作
14.解决ie6和ie7下工具栏浮动时cpu占用过高的bug
15.优化了文本模式粘贴的效果
16.优化了word粘贴的效果
17.在word粘贴本地图片时添加引导上传功能
18.更好的ie9支持
19.优化首行缩进效果
20.使用script标签代替textarea标签作为编辑器容器，简化前后端转码的配置。
21.优化了路径配置，修正了1.1.7.1中需要修改多处路径的问题
22.增加了图片操作浮层的开关配置
23.同时支持网络图片和本地图片的等比缩放
24.优化了源码模式下的代码格式

version 1.1.6.1
1.去掉了iframe.css 改为在editor_config.js中配置，避免css文件找不到的问题
2.给下拉菜单添加了默认的文字说明
3.Ueditor.css去掉了对外部页面css的影响
4.修正了ie9下，编辑器的高度不随着内容缩短的问题
5.修正了粘贴有时会出现粘贴失败的情况
6.修正了在ie下点击图片会出现js错误的问题
7.修正了在ie下选全部替换，回退，再替换会出现替换失败的问题





version 1.1.6
1. 插入日期按钮现在使用tangram日历控件
2. table可再编辑
3. 粘贴excel表格的问题
4. ff下最大化和切换源码出现光标不能跟着键盘改变和不能切出输入法的问题
5. tab按键功能
6. 支持多级列表
7. 超链接可以在非ie下去除下划线
8. 字体，字号，在editor-config.js中可配置



version 1.1.5
1.右键的策略，只显示选区内可操作的条目
2.禁止elementpath还会留下边框问题
3.字体改为了px
4.插入分页符
5.整合浮动toolbar为autofloat插件
6.初始化的值会在第一次操作前清除，而且不在有延迟感
7.配置项都放到了editor-config.js中
8.修正了多实例的问题
9.插入iframe功能
10.粘贴过滤掉内容会有提示，没过滤任何内容不会出现提示
11.修正代码高亮的显示效果
12.list放弃原生改为手动实现，修正一系列原生的bug
13.初始给个textarea会把内容取出作为初始值
14.去掉了源码状态下冗余的table/td/pre的style属性
15.fixed剪切出去会带start/end
16.fixex源码模式下getContent内容不是新的
17.table加入了设置背景颜色和边框颜色



Version 1.1.4
1.  锚点
2.  首行缩进
3.  行间距
4.  右键菜单
5.  插入代码
6.  文件上传(php版本）
7.  修复一些bug

Version 1.1.3
1.  修复chrome下粘贴的bug
2.  自动转换office粘入的有序列表和无序列表
3.  插入图片不再等比缩放，显示原始大小

Version 1.1.2
1.  修正IE9下autoHeight插件会一直长高的问题
2.  增加对IE6下大写style属性的转换处理（现统一转换成小写）
3.  格式刷
4.  上下标互斥
5.  form提交的支持
6.  增加了focus属性，可以初始化时，设置是否编辑器获得焦点
7.  增加了下滑线，删除线按钮，去掉了原来的下拉框
8.  autolink支持，使非ie在输入链接时能自动加上a标签
9.  google地图支持
10. 修正了一些bug

Version 1.1
1.	修改了删除链接的机制，允许一次性删除多个超链接
2.	改变了目录结构，方便部署（大大减少了开发代码过程中需要引入的js数量）
3.	修正部分bug

Version 1.0 (2011-7-8)
1.	完成功能的开发
